Loading...
Searching...
No Matches
pcl::gpu::FPFHEstimation Class Reference

Class for FPFH estimation. More...

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/features/include/pcl/gpu/features/features.hpp>`

Inheritance diagram for pcl::gpu::FPFHEstimation:

## Public Member Functions

| FPFHEstimation ()
void | compute (DeviceArray2D< FPFHSignature33 > &features)
void | compute (const PointCloud &cloud, const Normals &normals, const NeighborIndices &neighbours, DeviceArray2D< FPFHSignature33 > &features)
Public Member Functions inherited from pcl::gpu::FeatureFromNormals
void | setInputNormals (const Normals &normals)
Public Member Functions inherited from pcl::gpu::Feature
| Feature ()
void | setInputCloud (const PointCloud &cloud)
void | setSearchSurface (const PointCloud &surface)
void | setIndices (const Indices &indices)
void | setRadiusSearch (float radius, int max_results)

## Additional Inherited Members

Public Types inherited from pcl::gpu::Feature
using | PointType = PointXYZ
using | NormalType = PointXYZ
using | PointCloud = DeviceArray<PointType>
using | Normals = DeviceArray<NormalType>
using | Indices = DeviceArray<int>
Protected Attributes inherited from pcl::gpu::FeatureFromNormals
Normals | normals_
Protected Attributes inherited from pcl::gpu::Feature
PointCloud | cloud_
PointCloud | surface_
Indices | indices_
float | radius_
int | max_results_
Octree | octree_

## Detailed Description

Class for FPFH estimation.

Definition at line 141 of file features.hpp.

## Constructor & Destructor Documentation

## FPFHEstimation()

pcl::gpu::FPFHEstimation::FPFHEstimation | ( |  | ) |

## Member Function Documentation

## compute() [1/2]

void pcl::gpu::FPFHEstimation::compute | ( | const PointCloud & | cloud,
|  | const Normals & | normals,
|  | const NeighborIndices & | neighbours,
|  | DeviceArray2D< FPFHSignature33 > & | features )

## compute() [2/2]

void pcl::gpu::FPFHEstimation::compute | ( | DeviceArray2D< FPFHSignature33 > & | features | ) |

The documentation for this class was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/features/include/pcl/gpu/features/features.hpp